Bug 1029264 - Race condition with JCA bindings during startup
Race condition with JCA bindings during startup
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: ER7
: 6.0.0
Assigned To: Tomohisa Igarashi
Tomas Rohovsky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 21:43 EST by Keith Babo
Modified: 2016-01-04 00:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:25:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1789 Major Closed JCAActivator should wait for the HornetQ RAR deployment 2014-06-16 19:49:34 EDT

  None (edit)
Description Keith Babo 2013-11-11 21:43:00 EST
There is a race condition when the server is started with a deployed application using JCA bindings on a reference or service where the HornetQ RA might not be registered by the hornetq subsystem before the SY deployment begins.

This issue was reported in the SY community and a fix is ready.  Filing this BZ to track testing for GA.
Comment 1 Tomohisa Igarashi 2013-11-11 21:56:30 EST
This problem can be reproduced with debugger having a breakpoint at org.jboss.as.connector.deployers.ra.processors.ParsedRaDeploymentProcessor#deploy(). Then SwitchYard deployment fails with "<hornetq-ra.rar or other RAR name> not found" error without the fix.
Comment 2 JBoss JIRA Server 2013-11-12 14:00:39 EST
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1789

pushed
Comment 3 JBoss JIRA Server 2014-06-16 19:49:35 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1789 to Closed

Note You need to log in before you can comment on or make changes to this bug.